# $Revision: 1.33 $, $Date: 2008/07/27 22:46:50 $
%include	/usr/lib/rpm/macros.perl
Summary:	Religion perl module
Summary(pl.UTF-8):	Moduł Perla Religion
Name:		perl-Religion
Version:	1.04
Release:	10
License:	Freeware
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Religion/Religion-%{version}.tar.gz
# Source0-md5:	9e5c6edfbfc224c677089a3946bb7e27
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Religion - module to simplify installing die() and warn() handlers,
and to make such handlers easier to write and control.

%description -l pl.UTF-8
Religion - moduł ułatwiający instalowanie uchwytów die() i warn() oraz
czyniący takie uchwyty łatwiejszymi do napisania i kontrolowania.

%prep
%setup -q -n Religion-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Religion.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Religion.spec,v $
Revision 1.33  2008/07/27 22:46:50  arekm
- release 10

Revision 1.32  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.31  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.30  2004/12/15 12:17:17  radek
- minor License unifications

Revision 1.29  2004/10/24 16:26:27  paladine
- spelling fixes, uppercases, etc.

Revision 1.28  2004/05/07 01:25:43  ankry
- rel. 9

Revision 1.27  2004/05/06 18:20:59  ankry
- fixed perl-devel BR

Revision 1.26  2004/04/29 21:35:05  ankry
- license fixed

Revision 1.25  2003/09/09 10:24:47  ankry
- spaces -> tab

Revision 1.24  2003/08/18 08:09:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.23  2003/05/28 13:01:00  malekith
- massive attack: source-md5

Revision 1.22  2003/05/25 06:24:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.20  2003/03/01 20:45:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.19  2003/02/25 00:41:46  radek
- use the __perl macro

Revision 1.18  2003/02/18 15:37:59  ankry
- massive attack: change CPAN URLs

Revision 1.17  2002/11/26 00:14:56  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.16  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.15  2002/03/03 20:39:32  marcus
- rel.7.

Revision 1.14  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/10 15:32:57  depesz
adapterized

Revision 1.12  2002/01/18 02:14:25  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:22  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:14:57  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/23 15:50:28  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:46  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
